Download it now!
Bug 93996 - gltf rendering timer is far too fast ...
Summary: gltf rendering timer is far too fast ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.0.2.1 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.2
Keywords:
Depends on:
Blocks: VCL-OpenGL
  Show dependency treegraph
 
Reported: 2015-09-07 16:22 UTC by Michael Meeks
Modified: 2016-10-25 19:21 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2015-09-07 16:22:39 UTC
No excuse to burn the CPU rendering GLTF models quite this quickly. Throttle to 125fps and lower priority so the UI can get its own rendering into the mix.
Comment 1 Commit Notification 2015-09-07 16:25:04 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1973d74b6d4a6b22c59299099bc0c0d19b64d4e5

tdf#93996 - throttle gltf rendering to let UI re-rendering get in.

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2015-09-08 09:21:30 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eb570808aae8080e2dbb925db6b15cc257b2b9e5&h=libreoffice-5-0

tdf#93996 - throttle gltf rendering to let UI re-rendering get in.

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-09-11 09:47:27 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-0-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=24b7b71fb21923d964d31d4aa46fff9be75a0118&h=libreoffice-5-0-2

tdf#93996 - throttle gltf rendering to let UI re-rendering get in.

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.